<?php
// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

  //
  // Set a unique slug-like ID
  $prefix = 'fontier_post_option';

  //
  // Create a metabox
  CSF::createMetabox( $prefix, array(
    'title'     => 'Fontier Options',
    'post_type' => 'download',
  ) );

  //
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => 'Custom Font Enable',
    'fields' => array(
    array(
      'id'      => 'font_preview_enable',
      'type'    => 'checkbox',
      'title'   => 'Enable Font Preview',
      'default' => false // or false
    ),
    
    
    )
  ) );

  

}


// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

  //
  // Set a unique slug-like ID
  $prefix = 'fontier_options';

  CSF::createOptions( $prefix, array(
    'framework_title'         => 'Fontier Options <small>by Teconce</small>',
    'menu_title'  => 'Fontier Options',
    'menu_slug'   => 'fontier_options',
    'menu_type'   => 'submenu',
    'menu_parent' => 'options-general.php',
    'show_reset_section'      => false,
  ) );

  //
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => 'Fontier Font Preview options',
    'fields' => array(

      array(
          'id'          => 'select_font_category',
          'type'        => 'select',
          'title'       => 'Select Category',
          'placeholder' => 'Select a category where you want to show font',
          'chosen'      => true,
          'ajax'        => true,
          'options'     => 'categories',
          'query_args'  => array(
            'taxonomy'  => 'download_category'
          )
        ),

        array(
      'id'      => 'fontier_title',
      'type'    => 'text',
      'title'   => 'Preview Title',
      'default' => 'Preview Demo Fonts'
    ),
    
     array(
      'id'      => 'fontier_default_text',
      'type'    => 'text',
      'title'   => 'Default Preview Text',
      'default' => 'A Quick Brown Fox Jump Over a Lazy Dog'
    ),
    
    array(
      'id'          => 'fontier_main_color',
      'type'        => 'color',
      'title'       => 'Primary Color',
      'default' => '#5a01f0',
      'output' => array( 'background-color' => '.element-1', 'color' => '.font-settings .font-settings-size a.active', 'border-color' => '.font-settings .text .settings-input:hover,.font-settings .text .settings-input:focus' )
    ),
    
    array(
  'id'          => 'fontier_common_bg_color',
  'type'        => 'color',
  'title'       => 'Searchbar Background Color',
  'default' =>'#faf9fb',
  'output'      => '.font-settings',
  'output_mode' => 'background-color',
),

array(
  'id'          => 'fontier_common_txt_color',
  'type'        => 'color',
  'title'       => 'Searchbar Text Color',
  'default' =>'#59608e',
  'output'      => '.font-settings .font-settings-size a',
  'output_mode' => 'color',
),


array(
  'id'          => 'fontier_input_field_bg_color',
  'type'        => 'color',
  'title'       => 'Searchbar Input Field Background Color',
  'default' =>'#e9edf7',
  'output'      => '.font-settings input.settings-input',
  'output_mode' => 'background-color',
),
    )
  ) );



}
